package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.EstateModel
import com.biganto.visual.roompark.domain.model.PlanPresetModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */


interface DealContract{

    fun getFavorites() : Observable<List<EstateModel>>
    fun getEstate(estateId: Int): Observable<EstateModel>
    fun getPlanTypes(estateId: Int): Observable<List<PlanPresetModel>>
    fun getEmptyPlan(estateId: Int, planId: Int): Observable<String>
    fun getPlan(
        estateId: Int
        , planId: Int
        , furniture:Boolean?
        , sizes:Boolean?
        , walls:Boolean?
        , electric:Boolean?): Observable<String>



}