package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.ArticlesPreviewModel
import io.reactivex.Single
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class ArticlesInteractor @Inject constructor(
) {

    fun fetchArticles(feedAlias: String): Single<ArticlesPreviewModel> = Single.just(
        when (feedAlias) {
            "news" -> FeedsInteractor.testNewsArticles
            "blog" -> FeedsInteractor.testBlogsArticles
            "constructors_blog" -> FeedsInteractor.testDevArticles
            else -> error("unknown feedId")
        }
    )
}






























