package com.biganto.visual.roompark.presentation.screen.deals

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class DealsScreenViewState : BigantoBaseViewState() {
    class Idle : DealsScreenViewState()
    class DealsLoaded(val items:List<DealPreviewModel>) : DealsScreenViewState()
    class SomeError(val exception: ExceptionString) : DealsScreenViewState()
}

