package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 05.11.2019.
 */

@Entity
interface Deal : Persistable {

    @get:Key
    val id:String
    val estateCrmId:String
    val opportunitySum:Int
    val paymentSum:Int
    val amountPaySum:Int
    val statusId:Int
    val managerName: String
    @get:ForeignKey(references = Estate::class )
    @get:OneToOne(cascade = [CascadeAction.NONE])
    var estate:Estate
    @get:Nullable
    @get:Column(name = "UserContainer")
    @get:ForeignKey(references = User::class )
    @get:OneToOne(mappedBy = "uuid",cascade = [CascadeAction.NONE])
    var user:User?
}