package com.biganto.visual.roompark.presentation.screen.to_flat

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import com.biganto.visual.roompark.domain.model.TourRequestModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface FindFlatScreen : BigantoBaseContract<FindFlatScreenViewState> {
    fun getFlat() : Observable<TourRequestModel>
    fun startTour() : Observable<String>
}

